Package org.linphone.core

# Enum Class AuthMethod

java.lang.Object
java.lang.Enum<AuthMethod>
org.linphone.core.AuthMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthMethod>`, `Constable`

public enum AuthMethod extends Enum<AuthMethod>
Enum describing the authentication methods.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Basic`
Basic authentication.
`Bearer`
Bearer authentication.
`HttpDigest`
Digest authentication requested.
`Tls`
Client certificate requested.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static AuthMethod`
`fromInt(int value)`
`protected static AuthMethod[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(AuthMethod[] values)`
`static AuthMethod`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthMethod[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HttpDigest

public static final AuthMethod HttpDigest
Digest authentication requested.

### Tls

public static final AuthMethod Tls
Client certificate requested.

### Bearer

public static final AuthMethod Bearer
Bearer authentication.

### Basic

public static final AuthMethod Basic
Basic authentication.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static AuthMethod[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AuthMethod valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static AuthMethod fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static AuthMethod[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(AuthMethod[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()